Bug 987895 - Troubleshooting mongo section needs work
Troubleshooting mongo section needs work
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bilhar
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 07:39 EDT by Luke Meyer
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 20:53:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2013-07-24 07:39:33 EDT
This section needs some changes:

https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/1/html-single/Troubleshooting_Guide/index.html#sect-OpenShift_Enterprise-Troubleshooting_Guide-MongoDB_Failures

"Duplication of configuration files will cause problems with MongoDB," => should be "configuration options" or "configuration lines", duplication of configuration files doesn't make any sense

"mongo openshift_broker_dev" should be "mongo openshift_broker" which is the default we ship in /etc/openshift/broker.conf; really, we should refer to that file for the database host, port, name, user, and password to use in testing, and indicate how to connect with the full settings. As demonstrated:

[root@broker ~]# grep MONGO /etc/openshift/broker.conf 
# Eg: MONGO_HOST_PORT="<host1:port1>,<host2:port2>..."
MONGO_HOST_PORT="localhost:27017"
MONGO_USER="openshift"
MONGO_PASSWORD="mongopass"
MONGO_DB="openshift_broker"
MONGO_SSL="false"
[root@broker ~]# mongo localhost:27017/openshift_broker -u openshift -p mongopass
MongoDB shell version: 2.2.3
connecting to: localhost:27017/openshift_broker
> show collections
applications
authorizations
cloud_users
districts
domains
locks
system.indexes
system.users
usage
usage_records
[these might not all be there if the broker hasn't accessed the DB successfully]


This will be important for testing access to other hosts with a redundant DB.

Note You need to log in before you can comment on or make changes to this bug.